/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.asset.auto.tagger.opennlp.internal.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Cristina González
 */
@ExtendedObjectClassDefinition(
	category = "assets", scope = ExtendedObjectClassDefinition.Scope.COMPANY
)
@Meta.OCD(
	description = "opennlp-auto-tag-configuration-description",
	id = "com.liferay.asset.auto.tagger.opennlp.internal.configuration.OpenNLPDocumentAssetAutoTaggerCompanyConfiguration",
	localization = "content/Language",
	name = "opennlp-auto-tag-configuration-name"
)
public interface OpenNLPDocumentAssetAutoTaggerCompanyConfiguration {

	/**
	 * Sets the confidence threshold for the returned tags.
	 *
	 * @review
	 */
	@Meta.AD(
		deflt = "0.1", description = "confidence-threshold-description",
		name = "confidence-threshold", required = false
	)
	public float confidenceThreshold();

	/**
	 * Sets the class names to enable auto tagging of documents using a
	 * pre-trained opennlp model.
	 *
	 * @review
	 */
	@Meta.AD(
		deflt = "", name = "enabled-class-names[opennlp]", required = false
	)
	public String[] enabledClassNames();

}